# Interface IPopulateOmniboxSuggestionsEventArgs

The `IPopulateOmniboxSuggestionsEventArgs` interface describes the object that all `populateOmniboxSuggestions` event handlers receive as an argument.

## Index

### Properties

- omnibox
- suggestions

## Properties

### omnibox

omnibox: Omnibox

- Defined in events/OmniboxEvents.ts :17

The `Omnibox` component instance.

### suggestions

suggestions: Array<Suggestion[] | Promise<Suggestion[]>>

- Defined in events/OmniboxEvents.ts :22

The list of resolved query completion suggestions, and/or query completion suggestion promises.

### Hierarchy

- IPopulateOmniboxSuggestionsEventArgs